Packages for rabbitmq-server

Bug #1463000 reported by Sergii Golovatiuk on 2015-06-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Artem Silenkov
7.0.x
High
Aleksander Mogylchenko
8.0.x
High
Artem Silenkov

Bug Description

Please create packages for supported OS for

rabbimq-server 3.5.4 (current 3.3.5)
Erlang 17.5 (current R16B03 shipped by OS vendor)

Changed in fuel:
assignee: nobody → MOS Linux (mos-linux)
Alexei Sheplyakov (asheplyakov) wrote :

Please explain what's wrong with current versions (add links to blueprints/bug reports which document which particular features/bugfixes are necessary)

> Erlang 17.5 (current R16B03 shipped by OS vendor)

Ugh, packaging that beast is going to be rather nontrivial.

Changed in fuel:
status: New → Incomplete
assignee: MOS Linux (mos-linux) → Sergii Golovatiuk (sgolovatiuk)
Sergii Golovatiuk (sgolovatiuk) wrote :

This combination is well tested by Pivotel. There were a few bugs related to Mnesia on high loaded environments.

Sergii Golovatiuk (sgolovatiuk) wrote :

Guys, please do not close this. Erlang and latest rabbitmq are important for our HA stability

Changed in fuel:
status: Incomplete → Confirmed
Changed in fuel:
importance: Undecided → High
milestone: none → 7.0

Why do we need custom Erlang VM? If there are requirements in documentation (or any critical bugfixes) - please provide links.

Sergii Golovatiuk (sgolovatiuk) wrote :
Changed in fuel:
assignee: Sergii Golovatiuk (sgolovatiuk) → MOS Linux (mos-linux)
Alexei Sheplyakov (asheplyakov) wrote :

> Erlang and latest rabbitmq are important for our HA stability

This doesn't mean we have enough resources to support them.

> Erlang 17.5 (current R16B03 shipped by OS vendor)

The only thing we can do is to pick a newer version from Debian jessie (which is 17.3).
We can't possibly support any newer versions in any useful way (there's no erlang
developers in MOS Linux team).

> rabbimq-server 3.5.4 (current 3.3.5)

No luck here, 3.3.5 is the latest version available from Debian Jessie [1]. There's
3.4.2 available from Ubuntu vivid [2], however vivid is supported till Jan 2016, so using
that version in MOS 7.0 makes little sense.

[1] https://packages.debian.org/source/jessie/rabbitmq-server
[2] http://packages.ubuntu.com/source/vivid/rabbitmq-server

Changed in fuel:
status: Confirmed → Won't Fix
Changed in fuel:
status: Won't Fix → Confirmed
assignee: MOS Linux (mos-linux) → Aleksander Mogylchenko (amogylchenko)

We agreed to try adopting newer version. It will live in separate repo for the time being for testing purposes. Merging that package to 7.0 is still under question.

Fix proposed to branch: 7.0
Change author: Aleksandr Mogylchenko <email address hidden>
Review: https://review.fuel-infra.org/9778

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.fuel-infra.org/9778
Submitter: Dmitry Mescheryakov <email address hidden>
Branch: 7.0

Commit: 9c07a575db01ddf90809fab48ce84b905d8e55e3
Author: Aleksandr Mogylchenko <email address hidden>
Date: Thu Aug 6 20:40:26 2015

Rabbitmq 3.5.4 for MOS 7.0

Source picked up from Debian Sid:
http://http.debian.net/debian/pool/main/r/rabbitmq-server/rabbitmq-server_3.5.4-1.dsc
http://http.debian.net/debian/pool/main/r/rabbitmq-server/rabbitmq-server_3.5.4.orig.tar.gz
http://http.debian.net/debian/pool/main/r/rabbitmq-server/rabbitmq-server_3.5.4-1.debian.tar.xz

Closes-Bug: #1463000
Change-Id: Ie1c58830295f6feb5d45e97a42129ac3f8d821e9

Changed in fuel:
status: In Progress → Fix Committed
Roman Vyalov (r0mikiam) on 2015-08-11
Changed in fuel:
status: Fix Committed → Fix Released

We need package for Centos 7

Artem Silenkov (asilenkov) wrote :

As for Centos7:
I'm against using Erlang version newer then EPEL could provide us until we could find a maintainer for this. This package is very complex and it could be very difficult for us to maintain it properly.

Rabbitmq version is ok for me as we have a team to support it.

Related fix proposed to branch: master
Change author: Artem Silenkov <email address hidden>
Review: https://review.fuel-infra.org/12168

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.fuel-infra.org/12168
Submitter: Andrey Nikitin <email address hidden>
Branch: master

Commit: 21c15ee9fb7f05b0b8ec7b3cd76246a2e9cbfa3e
Author: Artem Silenkov <email address hidden>
Date: Fri Sep 25 11:47:57 2015

Packages added for 8.0 Liberty

* erlang
* rabbitmq-server

Change-Id: I033520ee70feedec0721934669830ed919c3b6f3
Related-Bug: #1463000

Artem Silenkov (asilenkov) wrote :

Please clarify what version of Erlang we use after all discussion held.

Artem, we didn't not touch Erlang in Ubuntu, I think the default one is okey for now.

Related fix proposed to branch: master
Change author: Artem Silenkov <email address hidden>
Review: https://review.fuel-infra.org/12173

Reviewed: https://review.fuel-infra.org/12173
Submitter: Daniil Trishkin <email address hidden>
Branch: master

Commit: 8de9968ebaa7ad42d3ca1082e66f7de2abeb52cd
Author: Artem Silenkov <email address hidden>
Date: Fri Sep 25 14:29:10 2015

Erlang rebuild from epel7 for centos7 Liberty

Change-Id: I89e796fe8db9d5096cdca4e2d1833dd29acd0d21
Related-Bug: #1463000

Related fix proposed to branch: master
Change author: Artem Silenkov <email address hidden>
Review: https://review.fuel-infra.org/12212

Reviewed: https://review.fuel-infra.org/12212
Submitter: Artem Silenkov <email address hidden>
Branch: master

Commit: 6468a46e8c43d0a374a807fcfe963ea1e99fee35
Author: Artem Silenkov <email address hidden>
Date: Mon Sep 28 11:59:58 2015

rabbitmq-server packaged for centos7 Liberty

* Version bumped to latest upstream
* Spec file is taken from Epel and adapted for 3.5.5

Change-Id: I5796474f8870a8860539ac3b8114a8eaf7f5bbeb
Related-Bug: #1463000

Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-build
Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers